Bug 15196 - GnoRPM fails to install SRPM packages
GnoRPM fails to install SRPM packages
Product: Red Hat Linux
Classification: Retired
Component: gnorpm (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Tim Waugh
Winston gold
Depends On:
  Show dependency treegraph
Reported: 2000-08-02 20:07 EDT by Chris Evans
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-11 08:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Here's a patch that seems to fix the bug. (2.36 KB, patch)
2000-08-11 08:14 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Chris Evans 2000-08-02 20:07:47 EDT
Insert e.g. the powertools CD
Press the "Install" button
In the list offered, pick any SRPM so it is checked
Press the "Install" button on the install dialog
The operation returns immediately. No SRPM has been installed. No error
message is given.
Comment 1 Glen Foster 2000-08-04 11:20:18 EDT
This defect is considered MUST-FIX for Winston Gold-release
Comment 2 Matt Wilson 2000-08-10 18:22:09 EDT
Tim, you seem to be hacking on this lately..
Comment 3 Tim Waugh 2000-08-11 06:48:45 EDT
Has this ever worked properly?  The code seems to explicitly avoid installing
source RPMS. (Overriding that causes a progress dialog to be displayed but
doesn't seem to actually install anything..).
Comment 4 Tim Waugh 2000-08-11 08:14:28 EDT
Created attachment 2394 [details]
Here's a patch that seems to fix the bug.
Comment 5 Jeff Johnson 2000-08-14 12:18:44 EDT
Patch applied in gnorpm-0.9-24.
Comment 6 John Cagle 2000-08-14 22:31:02 EDT
Still happens on RC1 using the SRPMS Sources CD.

Note You need to log in before you can comment on or make changes to this bug.